Skip to main content
Get an access token

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Body

grant_type
string
required
Allowed value: "client_credentials"
client_id
string

The id of the api_key. Leave it out when it's sent in HTTP Basic.

client_secret
string

The credential's secret. Leave it out when it's sent in HTTP Basic.

Required string length: 1 - 256

Response

The response. It is not a resource document.

access_token
string
required

Send this as Authorization: Bearer <token>.

token_type
string
required
Allowed value: "Bearer"
expires_in
integer
required

The number of seconds until the token expires.

Required range: x >= 1